#include <iostream>

using namespace std;


int main()
{
    int brojKomsija, x, komsije[brojKomsija], minimum, maximum;
    cin >> brojKomsija >> x;
    for(int i = 0; i < brojKomsija; i++){
        cin >> komsije[i];
    }
    minimum = maximum = komsije[0];
    for(int i = 0; i < brojKomsija; i++){
        if(komsije[i] < minimum){
            minimum = komsije[i];
        }
        else if (komsije[i] > maximum){
            maximum = komsije[i];
        }
    }
    
    if(minimum > x){
        cout << maximum - x;
    }
    else if (maximum < x){
        cout << x - minimum;
    }
    else{
        int resenje1, resenje2;
        resenje1 = (maximum - minimum) + (x - minimum);
        resenje2 = (maximum - minimum) + (maximum - x);
        if(resenje1 < resenje2){
            cout << resenje1;
        }
        else{
            cout << resenje2;
        }
    }
    return 0;
}